# linters(7)

a collection of linters

## Install

```sh
make install
```

## Uninstall

```sh
make uninstall
```

## Test

```sh
make test
```

## lis(1)

check for indent style

## Synopsys

```sh
lis [-s tab|space] [file ...]
```

## Description

The `lis` utility prints a set of errors to standard error if there are lines
inside each `[file ...]` that don't use `[-s]` for indenting. If `[-s]` is not
specified, the default value is `tab`. If `[file ...]` is
absent, `lis` reads from standard input.

## Exit Status

The `lis` utility exits `0` on success, and `>0` if an error occurs.

## Examples

Check for spaces indenting

```sh
$ echo " bar" > foo
$ lis foo
:1:1: Spaces detected
```

Check for tabs indenting

```sh
$ echo "	bar" > foo
$ lis -s space foo
:1:1: Tabs detected
```

## See also

`awk(1)`

## lts(1)

check for trailing white space characters

## Synopsys

```sh
lts [file ...]
```

## Description

The `lts` utility prints a set of errors to standard error if there are
lines inside each `[file ...]` that has trailing tabs or spaces

## Examples

Check for trailing tabs

```sh
$ echo "bar    " > foo
$ lts foo
:1:4: Trailing tabs detected
```

Check for trailing spaces

```sh
$ echo "bar " > foo
$ lts foo
:1:4: Trailing spaces detected
```

## See also

`awk(1)`

## lml(1)

check for maximum line length

## Synopsys

```sh
lml [-l num] [file ...]
```

## Description

The `lml` utility prints a set of errors to standard error if there are lines
inside each `[file ...]` that exceed `num` characters. If `num` is not
specified, the default value is 80 characters. If `[file ... ]` is absent,
`lml` reads from standard input.

## See also

`awk(1)`

## lfn(1)

check for final newline

## Synopsys

```sh
lfn [file ...]
```

## Description

The `lfn` utility prints an error to standard error if any [`file ...`] is
missing the final newline. If `[file ...]` is missing, `lfn` reads from
standard input.

## Exit Status

The `lfn` utility exits `0` on success, and `>0` if an error occurs.

## Examples

Check for missing final newline

```sh
$ echo "bar" > foo
$ printf "baz" >> foo
$ lfn foo
foo: Missing final newline
```

## ltn(1)

check for trailing newlines

## Synopsys

```sh
ltn [file ...]
```

## Description

The `ltn` utility prints an error to standard error if any `file ...` has
trailing newlines. If `[file ...]` is missing, `ltn` reads from
standard input.

## Exit Status

The `ltn` utility exits `0` on success, and `>0` if an error occurs

## Examples

Check for trailing newlines

```sh
$ echo "bar" > foo
$ echo "baz" >> foo
$ printf "\n" >> foo
$ ltn foo
foo: Trailing newlines
```
